#include <cstdlib>
#include <iostream>
#include <string>
using namespace std;

const int MAXPERSONNES = 50;

enum Genre { M, F };

struct Personne{
  string nom;
  Genre genre;
  int indConjoint, indParent1, indParent2;
};

struct EtatCivil {
   Personne tableP[MAXPERSONNES];
   int nbP;
};

void AjoutPersonne(string sonNom, Genre s, int parent1, int parent2, EtatCivil &EC);
void AffichePersonne(int ind, EtatCivil EC);
void AfficheEtatCivil(EtatCivil EC);

void RemplitEtatCivil(EtatCivil &EC) { // remplit l'état civil avec 20 personnes
  AjoutPersonne("Noemie", F, -1, -1, EC);
  AjoutPersonne("Georges", M, -1, -1, EC);
  AjoutPersonne("Albert", M, -1, -1, EC);
  AjoutPersonne("Marie", F, -1, -1, EC);
  AjoutPersonne("Luc", M, 0, -1, EC);
  AjoutPersonne("Valerie", F, -1, 1, EC);
  AjoutPersonne("Stephane", M, 3, 2, EC);
  AjoutPersonne("Helene", F, 5, 4, EC);
  AjoutPersonne("Justine", F, 7, 6, EC);
  AjoutPersonne("Berenice", F, 5, 10, EC);
  AjoutPersonne("John", M, 12, 11, EC);
  AjoutPersonne("Franco", M, -1, -1, EC);
  AjoutPersonne("Viviane", F, -1, -1, EC);
  AjoutPersonne("Pierre", M, 9, 14, EC);
  AjoutPersonne("Remi", M, 16, 15, EC);
  AjoutPersonne("Boris", M, -1, 17, EC);
  AjoutPersonne("Sharon", F, 19, 18, EC);
  AjoutPersonne("Alexandre", M, -1, -1, EC);
  AjoutPersonne("Augustin", M, -1, -1, EC);
  AjoutPersonne("Johanne", F, -1, -1, EC);
}


int main() {
  EtatCivil EC;
  EC.nbP = 0; // il est necessaire d'initialiser le nombre de personnes
}
